Package org.eclipse.emf.cdo.view

## Interface CDOViewProvider.CDOViewProvider2

- All Superinterfaces:
    `CDOViewProvider`
  All Known Implementing Classes:
    `AbstractCDOViewProvider`, `CDONet4jViewProvider`, `CDONet4jViewProvider.JVM`, `CDONet4jViewProvider.SSL`, `CDONet4jViewProvider.TCP`, `CDONet4jViewProvider.WS`, `ManagedContainerViewProvider`
  Enclosing interface:
    CDOViewProvider

      public static interface CDOViewProvider.CDOViewProvider2
      extends CDOViewProvider

  A `view provider` with advanced `view URI` and `path` information methods.
  Since:
    4.4
  Author:
    Eike Stepper
  See Also:
    `AbstractCDOViewProvider`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `CDOViewProvider.CDOViewProvider2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `DEFAULT_PRIORITY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath​(org.eclipse.emf.common.util.URI uri)` |
    `org.eclipse.emf.common.util.URI` | `getViewURI​(CDOView view)` |
    `org.eclipse.emf.common.util.URI` | `getViewURI​(org.eclipse.emf.common.util.URI uri)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewProvider

      `getPriority, getRegex, getResourceURI, getView, matchesRegex`

- - ### Method Detail

    - #### getViewURI

          org.eclipse.emf.common.util.URI getViewURI​(CDOView view)

    - #### getViewURI

          org.eclipse.emf.common.util.URI getViewURI​(org.eclipse.emf.common.util.URI uri)

    - #### getPath

          java.lang.String getPath​(org.eclipse.emf.common.util.URI uri)